/login?action=autologin:
  get:
    operationId: autologin
    tags:
      - Login
    summary: Reuse old session saved if session cookie were persisted by choosing to 'stay signed in' when logging in
    description: |
      If the session ID was stored in a cookie before by choosing to 'stay signed in' when logging in, 
      the user can reuse his old session by using the autologin request.
    parameters:
      - in: query
        name: authId
        description: >
          Identifier for tracing every single login request passed between
          different systems in a cluster.

          The value should be some token that is unique for every login request.
          This parameter must be

          given as URL parameter and not inside the body of the POST request.
          (IS OPTIONAL, meaning can be empty)
        required: false
        schema:
          type: string
      - in: query
        name: client
        description: >-
          Identifier of the client using the HTTP/JSON interface. This is for
          statistic evaluations what clients are used with Open-Xchange.
        required: false
        schema:
          type: string
    responses:
      '200':
        description: >-
          A JSON object containing the session ID used for all subsequent
          requests. In case of errors the responsible fields in the response are
          filled (see [Error handling](#error-handling)).
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoginResponse'
    requestBody:
      content:
        application/x-www-form-urlencoded:
          schema:
            type: object
            title: autologinBody
